{{- if .Values.networkpolicy.enabled}}
{{- $values := .Values}}
{{- with .Values.networkpolicy}}
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: deny-all
  namespace: {{$values.name}}
spec:
  podSelector: { }
  policyTypes:
  - Ingress
  - Egress
  {{- if or .dns.enabled .proxy.enabled}}
  egress:
  {{- if .dns.enabled}}
  {{- with .dns}}
  - to:
    - namespaceSelector:
        matchLabels:
          {{- .namespace | default (get .profiles .profile) | dig "namespaceSelectorLabels" dict | toYaml | nindent 10}}
      podSelector:
        matchLabels:
          {{- .selector | default (get .profiles .profile) | dig "podSelectorLabels" dict | toYaml | nindent 10}}
  {{- end}}
  {{- end}}
  {{- if .proxy.enabled}}
  {{- with .proxy}}
  - to:
    - namespaceSelector:
        matchLabels:
          kubernetes.io/metadata.name: {{.namespace}}
      podSelector:
        matchLabels:
          {{- .selector | toYaml | nindent 10}}
    ports:
    - port: {{.port}}
  {{- end}}
  {{- end}}
{{- end}}
{{- end}}
{{- end}}
